# FetchStrategy Class Reference
[Object queries API]

Inheritance diagram for FetchStrategy:
[legend]

List of all members.

## Public Member Functions

| setId ($id)

## Static Public Member Functions

static | join ()
static | cascade ()
static | lazy ()

## Public Attributes

const | JOIN = 1
const | CASCADE = 2
const | LAZY = 3

## Protected Attributes

| $names

## Static Private Member Functions

static | getInstance ($id)

## Detailed Description

Definition at line 15 of file FetchStrategy.class.php.

## Member Function Documentation

static FetchStrategy::cascade | ( |  | ) | `[static]`

Returns:
  FetchStrategy

Definition at line 48 of file FetchStrategy.class.php.

References getInstance().

Referenced by MetaConfiguration::checkRecursion(), MetaConfiguration::load(), and MetaConfiguration::processClasses().

Here is the call graph for this function:

static FetchStrategy::getInstance | ( | $ | id | ) | `[static, private]`

Returns:
  FetchStrategy

Definition at line 64 of file FetchStrategy.class.php.

References IdentifiableObject::$id.

Referenced by cascade(), join(), and lazy().

static FetchStrategy::join | ( |  | ) | `[static]`

Returns:
  FetchStrategy

Definition at line 40 of file FetchStrategy.class.php.

References getInstance().

Referenced by Criteria::__construct().

Here is the call graph for this function:

static FetchStrategy::lazy | ( |  | ) | `[static]`

Returns:
  FetchStrategy

Definition at line 56 of file FetchStrategy.class.php.

References getInstance().

Referenced by MetaConfiguration::processClasses().

Here is the call graph for this function:

FetchStrategy::setId | ( | $ | id | ) |

Returns:
  FetchStrategy

Reimplemented from Enumeration.

Definition at line 30 of file FetchStrategy.class.php.

References IdentifiableObject::$id, and Assert::isNull().

Here is the call graph for this function:

## Member Data Documentation

FetchStrategy::$names`[protected]`

Initial value:

     array(
                self::JOIN      => 'join',
                self::CASCADE   => 'cascade',
                self::LAZY      => 'lazy'
            )

Reimplemented from Enumeration.

Definition at line 21 of file FetchStrategy.class.php.

const FetchStrategy::CASCADE = 2

Definition at line 18 of file FetchStrategy.class.php.

Referenced by Criteria::fillSelectQuery().

const FetchStrategy::JOIN = 1

Definition at line 17 of file FetchStrategy.class.php.

Referenced by MetaConfiguration::checkRecursion(), Criteria::joinProperties(), and LightMetaProperty::toValue().

const FetchStrategy::LAZY = 3

Definition at line 19 of file FetchStrategy.class.php.

Referenced by AbstractProtoClass::assemblyObject(), MetaConfiguration::checkSanity(), AbstractProtoClass::fetchEncapsulants(), LightMetaProperty::fillMapping(), AbstractProtoClass::importPrimitive(), MetaConfiguration::load(), and MetaConfiguration::processClasses().

The documentation for this class was generated from the following file:

- main/Criteria/FetchStrategy.class.php